﻿using System;
using System.Text;
using System.IO;

using Popolo.Weather;

namespace RandomWeatherTest
{
  class Program
  {
    static void Main(string[] args)
    {
      const int SEED = 1; //乱数シード

      double[] dbt, hrt, rad;
      bool[] fcf;
      RandomWeather.MakeWeather
        (SEED, RandomWeather.Location.Tokyo, 20, out dbt, out hrt, out rad, out fcf);

      DateTime dt = new DateTime(2014, 1, 1, 0, 0, 0);
      using (StreamWriter sWriter =
          new StreamWriter("weather.csv", false, Encoding.GetEncoding("Shift_JIS")))
      {
        sWriter.WriteLine("日付, 時刻, 乾球温度, 絶対湿度, 水平面全天日射, 雲量<10");
        for (int i = 0; i < 20 * 8760; i++)
        {
          sWriter.WriteLine(dt.ToShortDateString() + ", " + dt.Hour + ", " +
               dbt[i] + ", " + hrt[i] + ", " + rad[i] + ", " + fcf[i]);
          dt = dt.AddHours(1);
          if (dt.Month == 2 && dt.Day == 29) dt.AddDays(1);
        }
      }

    }
  }
}
